#include <GL/glut.h>
#include "GameObj.h"
#include "Bullet.h"
#include "Ship.h"
#include "TriShip.h"

void TriShip::Draw()
{
 static float flamelen=5;
 glPushMatrix();
 glDisable(GL_LIGHTING);
 glTranslate(p);
 glRotatef(angle,0,0,1);
 glColor3f(.8,.8,.8);
 glBegin(GL_LINE_LOOP);
	glVertex3f(-3,-2,0);
	glVertex3f( 4,0,0);
	glVertex3f(-3,2,0);
 glEnd();
 glBegin(GL_LINES);
	glVertex3f(-3,-2,0);
	glVertex3f( 0,-2,0);
	glVertex3f(-3,2,0);
	glVertex3f( 0,2,0);
 glEnd();

 if(thrust)
 {
	if(flamelen==5) flamelen=7;
	else flamelen=5;
	glColor3f(.95,.7,.1);
	glBegin(GL_LINE_STRIP);
	glVertex3f(-3,-1,0);
	glVertex3f(-flamelen,0,0);
	glVertex3f(-3,1,0);
	glEnd();
 }
 glEnable(GL_LIGHTING);
 glPopMatrix();
}

void TriShip::Shoot(list<Bullet *> &LB){
	if(ActiveBullet+2 < MaxBullet()){
			ActiveBullet+=3;
			Bullet *bb;
			angle-=10;
			bb =new Bullet(p - RotateZ(Point3f(0,+2,0),float((angle+10)*M_PI/180.0f)),angle,v+VDir()*30);
			LB.push_back(bb);
			angle+=20;
			bb =new Bullet(p - RotateZ(Point3f(0,-2,0),float((angle-10)*M_PI/180.0f)),angle,v+VDir()*30);
			LB.push_back(bb);
			angle-=10;
			bb =new Bullet(p,angle,v+VDir()*30);
			LB.push_back(bb);
	}
}
